su(1)

НАЗВАНИЕ
su - изменяет ID пользователя или делает его суперпользователем

СИНТАКСИС

su [параметры] [имя_пользователя]

ОПИСАНИЕ

Программа su используется для того, чтобы пользователь мог стать другим пользователем в текущей сессии. Если su вызывается без имени_пользователя, то это по умолчанию делает пользователя суперпользователем. Необязательный параметр - можно использовать для воссоздания рабочей среды, такой же как если бы настоящий пользователь выполнял вход в систему.

После имени пользователя можно указать дополнительные аргументы, которые будут переданы регистрационной оболочке пользователя. В частности, аргумент -c заставит большинство оболочек считать следующий аргумент как команду. Команда будет выполнена оболочкой, указанной в файле /etc/passwd, которая является регистрационной для указываемого пользователя.

Вы можете использовать параметр -- чтобы отделить параметры su от параметров передаваемых оболочке.

Пользователю предложат ввести пароль, если он задан. При неверном пароле возникает сообщение об ошибке. Все попытки, удачные и неудачные, протоколируются системой с целью обнаружения злоупотреблений.

The current environment is passed to the new shell. The value of $PATH is reset to /bin:/usr/bin for normal users, or /sbin:/bin:/usr/sbin:/usr/bin for the superuser. This may be changed with the ENV_PATH and ENV_SUPATH definitions in /etc/login.defs.

Субсистемный вход в систему можно распознать по наличию символа "*" в начале регистрационной оболочки. Заданный домашний каталог будет использован как корень новой файловой системы, в которой регистрируется пользователь.

ПАРАМЕТРЫ

Параметры команды su:

-c, --commandКОМАНДА
    Указать команду, которая будет запущена оболочкой в виде параметра для -c.

-, -l, --login
    Предоставляет среду, как если бы пользователь непосредственно регистрировался в системе.

    Если используется -, то он должен быть задан последним параметром su. Другие формы (-l и --login) не имеют этого ограничения.

-s, --shellОБОЛОЧКА
    Оболочка, которая будет запущена.

    Запущенная оболочка выбирается из (в порядке убывания приоритета):

        Оболочка указанная в параметре --shell.

        Если используется --preserve-environment, то оболочка задаётся переменной среды $SHELL.

        Оболочка, указанная в записи файла /etc/passwd для заданного пользователя.

        /bin/sh, если ни одной оболочке не было найдено с помощью методов, указанных выше.

    Если заданный пользователь имеет ограниченную оболочку (то есть оболочка в поле пользовательской записи в файле /etc/passwd не прописана в файле /etc/shell), то параметр --shell или переменная среды $SHELL не будет взята в учётную запись, если su не была запущена суперпользователем.

-m, -p, --preserve-environment
    Preserve the current environment, except for:

    $PATH
        reset according to the /etc/login.defs options ENV_PATH or ENV_SUPATH (see below);

    $IFS
        reset to «<space><tab><newline>», if it was set.

    Если заданный пользователь имеет ограниченную оболочку, то этот параметр не сработает (если su не запускается суперпользователем).

    Note that the default behavior for the environment is the following:

        The $HOME, $SHELL, $USER, $LOGNAME, $PATH, and $IFS environment variables are reset.

        If --login is not used, the environment is copied, except for the variables above.

        If --login is used, the $TERM, $COLORTERM, $DISPLAY, and $XAUTHORITY environment variables are copied if they were set.

        If --login is used, the $TZ, $HZ, and $MAIL environment variables are set according to the /etc/login.defs options ENV_TZ, ENV_HZ, MAIL_DIR, and MAIL_FILE (see below).

        If --login is used, other environment variables might be set by the ENVIRON_FILE file (see below).

ПРЕДОСТЕРЕЖЕНИЯ

Данная версия программы su может быть собрана с разными параметрами и только некоторые из них смогут быть использованы на любой машине.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CONSOLE (string)
    If defined, either full pathname of a file containing device names (one per line) or a ":" delimited list of device names. Root logins will be allowed only upon these devices.

    If not defined, root will be allowed on any device.

    The device should be specified without the /dev/ prefix.

CONSOLE_GROUPS (string)
    List of groups to add to the user's supplementary groups set when logging in on the console (as determined by the CONSOLE setting). Default is none.

    Use with caution - it is possible for users to gain permanent access to these groups, even when not logged in on the console.

DEFAULT_HOME (boolean)
    Indicate if login is allowed if we can't cd to the home directory. Default in no.

    If set to yes, the user will login in the root (/) directory if it is not possible to cd to her home directory.

ENV_HZ (string)
    If set, it will be used to define the HZ environment variable when a user login. The value must be preceded by HZ=. A common value on Linux is HZ=100.

ENVIRON_FILE (string)
    If this file exists and is readable, login environment will be read from it. Every line should be in the form name=value.

    Lines starting with a # are treated as comment lines and ignored.

ENV_PATH (string)
    If set, it will be used to define the PATH environment variable when a regular user login. The value can be preceded by PATH=, or a colon separated list of paths (for example /bin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_SUPATH (string)
    If set, it will be used to define the PATH environment variable when the superuser login. The value can be preceded by PATH=, or a colon separated list of paths (for example /sbin:/bin:/usr/sbin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_TZ (string)
    If set, it will be used to define the TZ environment variable when a user login. The value can be the name of a timezone preceded by TZ= (for example TZ=CST6CDT), or the full path to the file containing the timezone specification (for example /etc/tzname).

    If a full path is specified but the file does not exist or cannot be read, the default is to use TZ=CST6CDT.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will no be translated.

    If the string contains %s, this will be replaced by the user's name.

MAIL_CHECK_ENAB (boolean)
    Enable checking and display of mailbox status upon login.

    You should disable it if the shell startup files already check for mail ("mailx -e" or equivalent).

MAIL_DIR (string)
    Почтовый каталог. Данный параметр нужен для управления почтовым ящиком при изменении или удалении учётной записи пользователя. Если параметр не задан, то используется значение указанное при сборке.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

QUOTAS_ENAB (boolean)
    Enable setting of ulimit, umask, and niceness from passwd gecos field.

SULOG_FILE (string)
    If defined, all su activity is logged to this file.

SU_NAME (string)
    If defined, the command name to display when running "su -". For example, if this is defined as "su" then a "ps" will display the command is "-su". If not defined, then "ps" would display the name of the shell actually being run, e.g. something like "-sh".

SU_WHEEL_ONLY (boolean)
    If yes, the user must be listed as a member of the first gid 0 group in /etc/group (called root on most Linux systems) to be able to su to uid 0 accounts. If the group doesn't exist or is empty, no one will be able to su to uid 0.

SYSLOG_SU_ENAB (boolean)
    Enable "syslog" logging of su activity - in addition to sulog file logging.

USERGROUPS_ENAB (boolean)
    Enable setting of the umask group bits to be the same as owner bits (examples: 022 -> 002, 077 -> 007) for non-root users, if the uid is the same as gid, and username is the same as the primary group name.

    If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

ФАЙЛЫ

/etc/passwd
    содержит информацию о пользователях

/etc/shadow
    содержит защищаемую информацию о пользователях

/etc/login.defs
    содержит конфигурацию подсистемы теневых паролей

СМОТРИТЕ ТАКЖЕ

login(1), login.defs(5), sg(1), sh(1).